qtwebkit-opensource-src (5.212.0~alpha2-21endless1) master; urgency=medium

  * Backport upstream patch to fix build with ICU 65.1. This is taken from
    5.212.0~alpha3-7.

 -- Dan Nicholson <nicholson@endlessm.com>  Wed, 07 Oct 2020 16:09:32 -0600

qtwebkit-opensource-src (5.212.0~alpha2-21) unstable; urgency=medium

  * Add fastcall attribute to JSImageConstructor::construct method.
    This fixes crash on i386 (closes: #909366, #924402). Thanks Bernhard
    Übelacker for the patch!
  * Remove -fpermissive from build flags. It was wrong and not needed
    with the applied patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 22 Mar 2019 11:42:38 +0300

qtwebkit-opensource-src (5.212.0~alpha2-20) unstable; urgency=medium

  * Backport two upstream commits to fix page width in plain text messages
    in Trojitá (fix_trojita_plaintext.diff; closes: #919522).
  * Update to debhelper compat level 12.
  * Use the new cmake+ninja buildsystem.
  * Drop the documentation packages. They cannot be built properly with
    qdoc 5.11. See https://github.com/annulen/webkit/issues/793.
  * Update symbols files from buildds’ logs.
  * Fix libpng warning by running pngcrush during build.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 Feb 2019 23:25:35 +0300

qtwebkit-opensource-src (5.212.0~alpha2-19) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate interpreter dependencies with :native. (Closes:
    #916788)

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:31:35 -0300

qtwebkit-opensource-src (5.212.0~alpha2-18) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to enable doxygen tags file generation
    (LP: #1797040).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump Qt build dependencies to ensure it builds against the right versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 08 Dec 2018 12:36:46 -0300

qtwebkit-opensource-src (5.212.0~alpha2-17) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 17:48:46 +0300

qtwebkit-opensource-src (5.212.0~alpha2-16) experimental; urgency=medium

  * Update debian/libqt5webkit5.symbols from buildds’ logs.
  * Build with -Wno-class-memaccess to avoid tons of warnings about
    memset/memcpy.
  * Bump Qt build-dependencies to 5.11.2.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Sep 2018 21:24:52 +0300

qtwebkit-opensource-src (5.212.0~alpha2-15) unstable; urgency=medium

  * Build with -fpermissive to (hopefully) solve the i386 FTBFS.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 26 Jul 2018 19:14:49 -0500

qtwebkit-opensource-src (5.212.0~alpha2-14) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 25 Jul 2018 23:33:17 -0300

qtwebkit-opensource-src (5.212.0~alpha2-13) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:30 -0500

qtwebkit-opensource-src (5.212.0~alpha2-12) experimental; urgency=medium

  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Jun 2018 20:30:20 -0500

qtwebkit-opensource-src (5.212.0~alpha2-11) experimental; urgency=medium

  * Bump build dependencies to 5.11.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 20:20:58 -0500

qtwebkit-opensource-src (5.212.0~alpha2-10) experimental; urgency=medium

  * Add my name to Uploaders.
  * Bump build dependencies to 5.11.0.
  * Fix insecure-copyright-format-uri.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 18 Jun 2018 23:26:42 -0400

qtwebkit-opensource-src (5.212.0~alpha2-9) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 17:23:09 -0300

qtwebkit-opensource-src (5.212.0~alpha2-8) experimental; urgency=medium

  * Build with system WOFF2 library, add a patch for that.
  * Build against Qt 5.10.1 in experimental.
  * Add support for the nodoc build profile.
  * Update Vcs fields for migration to salsa.debian.org.
  * Add a patch to fix include path in pkg-config files (closes: #890413).
  * Update debian/libqt5webkit5.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Feb 2018 15:21:11 +0300

qtwebkit-opensource-src (5.212.0~alpha2-7) unstable; urgency=medium

  * Build with -O1 instead of -O2 on sh3/sh4 (closes: #887462).
  * Update symbols files with buildds’ and sh4 logs (closes: #887463).
  * Fix the rules syntax to make sure we build with -g1 on mips/mipsel.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 18 Jan 2018 11:33:51 +0300

qtwebkit-opensource-src (5.212.0~alpha2-6) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Fix build on x32 architecture (closes: #881055):
    - Make sure JIT is not enabled on x32.
    - Backport upstream patch to use JSVALUE32_64 on x32.
    - Use gold linker on x32, to avoid undefined reference error.
  * Backport upstream changes to fix build on Alpha (closes: #880640).
  * Backport upstream changes to add descriptions to pkg-config files
    (closes: #884035).
  * Bump Standards-Version to 4.1.3, no changes needed.

  [ Pino Toscano ]
  * Fix build on hurd-i386:
    - workaround a PATH_MAX usage; patch path_max.diff
    - update symbols file

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Jan 2018 18:38:23 +0300

qtwebkit-opensource-src (5.212.0~alpha2-5) unstable; urgency=medium

  * Add a patch from Fedora to fix nullptr dereference in selectedHtml()
    (fix_selectedHtml_segfault.diff, closes: #880064).
  * Update the symbols file from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Oct 2017 20:08:25 +0300

qtwebkit-opensource-src (5.212.0~alpha2-4) unstable; urgency=medium

  * Fix qtbase build-dependencies after wrong bump.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Oct 2017 09:55:23 +0300

qtwebkit-opensource-src (5.212.0~alpha2-3) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Backport upstream patch to fix WTF::StringImpl::copyChars segfault
    (closes: #876999).
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Update Homepage to point to GitHub.
  * Bump Qt build-dependencies to 5.9.2.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Oct 2017 00:26:10 +0300

qtwebkit-opensource-src (5.212.0~alpha2-2) experimental; urgency=medium

  * Add -DNDEBUG to CPPFLAGS to disable debug output.
  * Use -g1 on less powerful architectures instead of no debug at all.
  * Disable JIT on sh4, it is broken and support was removed upstream.
  * Backport upstream patch to add libatomic detection, fixes armel build.
  * Build with -mfp32 on mips/mipsel, as LLInt uses odd float registers.
  * Update symbols files from buildds’ and local build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Sep 2017 22:32:50 +0300

qtwebkit-opensource-src (5.212.0~alpha2-1) experimental; urgency=medium

  * New upstream alpha release (closes: #862452).
  * Update debian/watch to track release tarballs on GitHub.
  * Stop repacking the upstream tarball. Two of three previously excluded
    files no longer exist, and the third one has changed license to Expat.
  * Drop all patches, they no longer apply to the new codebase.
  * Add build-dependencies: cmake, libhyphen-dev, libqt5sensors5-dev,
    libqt5webchannel5-dev and qtpositioning5-dev.
  * Drop unused build-dependency: libleveldb-dev.
  * Migrate to automatic dbgsym packages.
  * Update install files for the new release.
  * Update debian/rules to use CMake build system with ninja backend.
  * Update to debhelper compat level 10.
  * Rewrite debian/copyright. The new file is based on decopy output, with
    lots of manual fixes.
  * Drop unused Lintian overrides.
  * Add a patch to hide WebCore and JSCore symbols from libQt5WebKit.so.5.
  * Update libqt5webkit5.symbols from the current ppc64el build log.
  * Add a patch to properly detect whether OpenGL ES 2 should be used.
  * Disable the use of gold linker (causes problems at least on i386).
  * Remove i386 from gstabs_architectures, add ppc64el.
  * Run upstream tests during build.
  * Bump Standards-Version to 4.1.0, remove Priority: extra lines.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Aug 2017 15:02:13 +0300

qtwebkit-opensource-src (5.9.1+dfsg-5) unstable; urgency=medium

  * Update symbols files from buildds’ logs to fix build on armhf.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Aug 2017 14:35:55 +0300

qtwebkit-opensource-src (5.9.1+dfsg-4) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Build with -Wno-expansion-to-defined to avoid 500MB build logs.
  * Build-depend on qtbase5-dev ≥ 5.9.1+dfsg-9~. We need a qtbase built
    with bfd linker on armel/armhf, otherwise the build fails there.
    Together with the symbols update, this closes: #872542.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Aug 2017 00:49:10 +0300

qtwebkit-opensource-src (5.9.1+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 17 Aug 2017 00:32:18 -0300

qtwebkit-opensource-src (5.9.1+dfsg-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Aug 2017 22:15:15 -0300

qtwebkit-opensource-src (5.9.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to track official releases again.
  * Manually update symbols files from buildds’ logs.
  * Bump Qt build-dependencies to 5.9.1.
  * Drop qtxmlpatterns and qtscript build-dependencies, they have not been
    used for a long time.
  * Drop obsolete Breaks/Replaces on pre-Jessie Qt packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jul 2017 21:19:54 +0300

qtwebkit-opensource-src (5.9.0+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Simon Quigley ]
  * New upstream release.

  [ Dmitry Shachnev ]
  * Update debian/watch to find the 5.9.0 release correctly.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 07 Jun 2017 10:59:02 -0500

qtwebkit-opensource-src (5.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Bump only the necessary Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Re mark 5.7.1~* symbols to 5.7.1.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 15 Dec 2016 17:22:14 -0300

qtwebkit-opensource-src (5.7.1~20161021+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 15:04:32 +0300

qtwebkit-opensource-src (5.7.1~20161021+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
  * Merge 5.6.1+dfsg-5 upload from unstable.
  * Bump Qt build-dependencies to 5.7.1~20161021.
  * Fix a Lintian warning about space in license name.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Oct 2016 15:44:52 +0300

qtwebkit-opensource-src (5.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop debian/patches/fix_pthread_linking.diff, it was applied upstream
    in 5.6.1 and wrongly rebased in 5.6.1+dfsg-1 upload.
  * Refresh no_gc_sections.diff.
  * Bump Qt build-dependencies to 5.7.0.
  * Update the symbols files from 5.6.1 build logs.
  * Drop the syncqt hack, the new tarballs are generated properly.
  * Add Qt_5.7 version tag to debian/libqt5webkit5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Jul 2016 21:37:28 +0300

qtwebkit-opensource-src (5.6.1+dfsg-5) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 10 Aug 2016 22:13:17 -0300

qtwebkit-opensource-src (5.6.1+dfsg-4) unstable; urgency=medium

  * Update symbols files with buildd's logs (Closes: 827783).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Jun 2016 00:02:14 -0300

qtwebkit-opensource-src (5.6.1+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 10:12:19 -0300

qtwebkit-opensource-src (5.6.1+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 20:33:02 -0300

qtwebkit-opensource-src (5.6.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Refresh fix_pthread_linking.diff.
  * Update Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 10 Jun 2016 15:12:20 -0300

qtwebkit-opensource-src (5.6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Make sure the Makefile needed for building docs is generated.
  * Update debian/watch for new tarballs location.
  * Bump Qt build-dependencies to 5.6.0.
  * Do not hardcode version number in debian/rules.
  * Update Lintian overrides for JS files with long lines.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Mar 2016 21:39:26 +0100

qtwebkit-opensource-src (5.6.0~rc+dfsg-2) experimental; urgency=medium

  * Explicitly specify Makefile for building docs.
  * Backport fix_pthread_linking.diff from upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2016 22:36:47 +0300

qtwebkit-opensource-src (5.6.0~rc+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Qt build-dependencies to 5.6.0~rc.
  * Add back qtwebkit5-doc package.
  * Use recommended https URIs for Vcs fields.
  * Do not build-depend on qtxmlpatterns private headers.
  * Update symbols files from the current build log.
  * Call syncqt.pl in configure target.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2016 13:12:22 +0300

qtwebkit-opensource-src (5.5.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 16:15:58 -0300

qtwebkit-opensource-src (5.5.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Override lintian false positives for javascript files. Long lines do not
    mean minified javascript.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Oct 2015 23:08:49 -0300

qtwebkit-opensource-src (5.5.0+dfsg-2) experimental; urgency=medium

  * Add empty override_dh_auto_test target to make indep builds work.
  * Remove copyright entries for generated files that are not present in the
    tarball.
  * Explicitly specify Makefile to use for installing docs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Aug 2015 09:49:40 +0300

qtwebkit-opensource-src (5.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Build with GStreamer 1.0 (closes: #762158).
  * Update and simplify symbols file.
  * Refresh no_gc_sections.diff.
  * Minor debian/copyright updates.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Aug 2015 14:33:40 +0300

qtwebkit-opensource-src (5.4.2+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Update symbols files with the current build log and gcc5 (Closes: #791262).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Aug 2015 14:58:14 -0300

qtwebkit-opensource-src (5.4.2+dfsg-2) unstable; urgency=medium

  * Team upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' logs.

  [ Felix Geyer ]
  * Update symbols files for amd64.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 23 Jun 2015 19:20:46 +0200

qtwebkit-opensource-src (5.4.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Sort debian/qml-module-qtwebkit.install.
  * Fix some substitutions in debian/libqt5webkit5.symbols.
  * Remove all obsolete sparc-specific symbols (Closes: #782063).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release (Closes: 778359).
    - Bump Qt build dependencies to 5.4.2.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Expose HTML documentation (Closes: #751186).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 23:00:28 -0300

qtwebkit-opensource-src (5.4.1+dfsg-3) experimental; urgency=medium

  * Comment out libleveldb-dev build-dependency for now, it causes
    linking errors on some architectures.
  * Disable leveldb_memenv_path.diff as well.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 Mar 2015 17:03:48 +0300

qtwebkit-opensource-src (5.4.1+dfsg-2) experimental; urgency=medium

  * Update leveldb_memenv_path.diff to make it really work.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 Mar 2015 11:28:50 +0300

qtwebkit-opensource-src (5.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to use https://download.qt.io/.
  * Bump Qt build-dependencies to 5.4.1.
  * Build-depend on libleveldb-dev so that the system leveldb copy
    is used, and not the private one.
    - Add a patch to use Debian path to memenv.h.
  * Refresh patches for the new release.
  * Minor debian/copyright updates.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Mar 2015 19:43:59 +0300

qtwebkit-opensource-src (5.4.0+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Add qtbase5-doc-html to Build-Depends-Indep to make sure docs
    are properly linked with qtbase.
  * Drop these patches, applied upstream:
    - do_not_use_jit_on_big_endian_machines.patch
    - fix_cloop_on_big_endian_machines.patch
    - fix_crash_when_a_network_request_is_aborted_while_forwarding_data.patch
    - blacklist_libkpartsplugin.patch
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update symbols files.
  * Add myself to Uploaders.

  [ Harald Sitter ]
  * Disable precompiled headers on amd64, powerpc and s390x.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Dec 2014 19:30:06 +0300

qtwebkit-opensource-src (5.3.2+dfsg-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream fix that adds missing checks for HTMLUnknownElement.
    Closes: #781194.

  [ Felix Geyer ]
  * Backport upstream fix that prevents recording visited URLs to its favicon
    database while using private browsing mode.
    Closes: #780748.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 01 Apr 2015 19:44:29 +0200

qtwebkit-opensource-src (5.3.2+dfsg-3) unstable; urgency=medium

  * Backport three patches to fix crashes:
    - do_not_use_jit_on_big_endian_machines.patch
    - fix_cloop_on_big_endian_machines.patch
    - fix_crash_when_a_network_request_is_aborted_while_forwarding_data.patch
  * Backport blacklist_libkpartsplugin.patch to prevent a crash due to a plugin
    built against Qt4 (Closes: #744006).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 17 Oct 2014 02:04:39 -0300

qtwebkit-opensource-src (5.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 00:21:56 -0300

qtwebkit-opensource-src (5.3.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Remove unused code from debian/rules.
  * Update Vcs-Browser field to point to cgit interface.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.
  * Refresh patches.
  * Remove hppa_wtf-dtoa-utils.diff, applied upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 17 Sep 2014 00:23:05 -0300

qtwebkit-opensource-src (5.3.1+dfsg-3) unstable; urgency=medium

  [ Julián Moreno Patiño ]
  * Team upload.

  [ Sune Vuorela ]
  * Link with -rt on hurd and kfreebsd (Closes: #757161).

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 11 Aug 2014 16:01:41 -0500

qtwebkit-opensource-src (5.3.1+dfsg-2) unstable; urgency=medium

  * Add hppa_wtf-dtoa-utils.diff to solve a FTBFS in HPPA (Closes: #753409).
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Jul 2014 17:36:35 -0300

qtwebkit-opensource-src (5.3.1+dfsg-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies, using qtbase-private-dev >= 5.3.1 to get
    qtbase-abi-5-3-1.
  * Update symbols files with buildds' logs.
  * Switch amd64's debugging symbols to stabs again. I can't build dwarf
    symbols anymore due to lack of RAM, and I doubt our buildds could too.

  [ Alf Gaida ]
  * Fix QML module's install file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 29 Jun 2014 15:59:39 -0300

qtwebkit-opensource-src (5.3.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.
  * Switch back to build full debugging symbols on amd64.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 00:31:56 -0300

qtwebkit-opensource-src (5.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Do not build qtwebkit5-doc from this source anymore. It will now be built
    from qttools. In this way we allow qttools to build depend upon
    libqt5webkit5-dev without creating a circular dependency.
  * Do not force dh_builddeb to use xz compression: it's now the default.
  * Bump Qt build dependencies.
  * Remove fix_ftbfs_in_archs_without_jit_support.patch and
    dont_pollute_pri_and_pc_with_private_deps.patch, applied upstream.
  * Refresh no_gc_sections.diff.
  * Install headers in their new multi-arch qualified path. Mark the
    development package as Multi-Arch: same.
  * Take into account the new multi-arch path for removing the private
    headers.
  * Update symbols files with current log. The missing symbols are private
    stuff not present in any static method.
  * Remove the transitional package libqt5webkit5-qmlwebkitplugin.
  * Switch debugging symbols for amd64 to gstabs until we are able to build
    normal symbols again.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 23 May 2014 21:53:24 -0300

qtwebkit-opensource-src (5.2.1+dfsg1-1) unstable; urgency=medium

  * Rename libqt5webkit5-qmlwebkitplugin to qml-module-qtwebkit, adding proper
    Break and Replaces.
  * Add qtdeclarative5-dev as a dependency of libqt5webkit5-dev as it seems
    to be a requirement for stuff building with webkit.
  * Update symbols files with buildd's logs.
  * Remove prune-nonfree from debian/rules and instead use Files-Excluded in
    debian/copyright.
  * Remove dygraph-combined.js from the original tarball: minified javascript
    without source.
  * Increase dfsg revision to 1 due to the new source tarball.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 27 Apr 2014 22:23:04 -0300

qtwebkit-opensource-src (5.2.1+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 22:54:34 -0300

qtwebkit-opensource-src (5.2.1+dfsg-4) experimental; urgency=medium

  * Backport dont_pollute_pri_and_pc_with_private_deps.patch to avoid
    propagating wrong linker flags (Closes: #711307).
  * Create reduce_memory_usage.patch forcing ld to not cache the symbol tables
    of input files in memory to avoid memory exhaustion during the linking
    phase.
  * Disable JIT on armel, mips and mipsel.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Mar 2014 11:27:03 -0300

qtwebkit-opensource-src (5.2.1+dfsg-3) experimental; urgency=medium

  * Update symbols files with buildd's and current logs.
  * Only generate debugging symbols on selected archs.
    - Use gstabs on i386, powerpc and s390x.
    - Use full debugging only on amd64.
    - Set libqt5webkit5-dbg's Architecture list accordingly.
    - Remove stabs_format_debug_info.diff, no longer needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Feb 2014 21:51:37 -0300

qtwebkit-opensource-src (5.2.1+dfsg-2) experimental; urgency=medium

  * Backport fix_ftbfs_in_archs_without_jit_support.patch to fix FTBFSs in
    archs without JIT support.
  * Remove code in debian/rules that tried to fix the above unsuccessfully.
  * Also remove disable_jit_llint.diff with the same purpose.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 21 Feb 2014 13:29:40 -0300

qtwebkit-opensource-src (5.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files with buildd's logs.
  * Bump Qt build dependencies to 5.2.1.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Feb 2014 20:42:53 -0300

qtwebkit-opensource-src (5.2.0+dfsg1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * rules: fix typo in DEB_CPPFLAGS_MAINT_APPEND, and properly export it.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Repack source tarball to remove minified javascript without source
    Source/WebInspectorUI/Tools/PrettyPrinting/populate/jquery.min.js.
    The file was not shipped by any package (Closes: #737462).
    - Switch to version dfsg1-1.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 02 Feb 2014 23:02:51 -0300

qtwebkit-opensource-src (5.2.0+dfsg-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add a patch (disable_jit_llint.diff) to disable JIT and llint on ia64, s390
    and sparc.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.
  * Remove glslang_bison3.diff, applied upstream.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 21:50:23 -0300

qtwebkit-opensource-src (5.2.0+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildd's logs.
  * Workaround FTBFS in 64 bits big endian archs.
    See https://bugs.webkit.org/show_bug.cgi?id=113638

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Dec 2013 08:57:57 -0300

qtwebkit-opensource-src (5.2.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Bump Qt build dependencies.
  * Refresh 05_sparc_unaligned_access.diff, no_gc_sections.diff and hurd.diff.
  * Remove new private stuff we are not shipping.
  * Update symbols files.
  * Remove jsmin.py from the original tarball because it is not
    DFSG-compatible.
    - Create a dfsg version.
    - Add a rule to prune non-free stuff in debian/rules.
    - Mangle the dfsg version in debian/watch.
  * Fix wrong name and path of the GPL-2 license in debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Dec 2013 20:56:37 -0300

qtwebkit-opensource-src (5.1.1-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch (glslang_bison3.diff) to fix build failure
    with bison 3 (closes: #731979).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 22 Dec 2013 16:35:23 -0300

qtwebkit-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Tighten Qt 5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 01 Sep 2013 14:22:55 -0300

qtwebkit-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Make m68k build with -gstabs instead of -g (Closes: #717686).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 12 Aug 2013 01:00:32 -0300

qtwebkit-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Fix watch file.
  * Bump Qt build depends to 5.1.0~.
  * Refresh pacthes.
  * Update symbols file.
  * Update install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 15 Jul 2013 12:16:00 -0300

qtwebkit-opensource-src (5.0.2-3) experimental; urgency=low

  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Jun 2013 22:10:41 -0300

qtwebkit-opensource-src (5.0.2-2) experimental; urgency=low

  [ Timo Jyrinki ]
  * Drop save_memory.diff, not useful in its current form.
  * Set DEB_HOST_MULTIARCH in rules.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files.
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Make the debug package also Multi-Arch: same.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Jun 2013 23:46:10 -0300

qtwebkit-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 19 May 2013 15:37:43 -0300
